package cn.pluss.platform.mapper;

import cn.pluss.platform.entity.PlatformData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 首页数据统计表 Mapper 接口
 * </p>
 *
 * @author bzg
 * @since 2021-10-20
 */
public interface PlatformDataMapper extends BaseMapper<PlatformData> {

    PlatformData selectMonthData(@Param("month") String month);

    /**
     * @description:统计首页数据
     * @date: 2021/10/20 15:36
     * @return PlatformData
     */
    PlatformData getYestDayPlatformData();
    /**
     * @description:获得昨日退款数据
     * @date: 2021/10/20 15:49
     * @return cn.pluss.platform.entity.PlatformData
     */
    PlatformData getYestDayPlatformRefundData();

    /**
     * @description:获取昨日新增数据
     * @date: 2021/10/20 15:54
     * @return cn.pluss.platform.entity.PlatformData
     */
    PlatformData getYestDayPlatformAddData();

    List<Map<String, Object>> getChartTransCountData();

    List<Map<String, Object>> getChartChannelCountData();
}
